Index: binary-improvements/7dtd-server-fixes/7dtd-server-fixes.csproj
===================================================================
--- binary-improvements/7dtd-server-fixes/7dtd-server-fixes.csproj	(revision 224)
+++ binary-improvements/7dtd-server-fixes/7dtd-server-fixes.csproj	(revision 230)
@@ -15,5 +15,5 @@
     <DebugType>none</DebugType>
     <Optimize>true</Optimize>
-    <OutputPath>..\bin\7DaysToDie_Data\Managed</OutputPath>
+    <OutputPath>..\bin\Mods\Allocs_CommonFunc</OutputPath>
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
@@ -23,5 +23,5 @@
     <DebugType>none</DebugType>
     <Optimize>true</Optimize>
-    <OutputPath>..\bin\7DaysToDie_Data\Managed</OutputPath>
+    <OutputPath>..\bin\Mods\Allocs_CommonFunc</OutputPath>
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
@@ -34,25 +34,23 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="System" />
+    <Reference Include="Assembly-CSharp">
+      <HintPath>..\7dtd-binaries\Assembly-CSharp.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="mscorlib">
+      <HintPath>..\7dtd-binaries\mscorlib.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System">
+      <HintPath>..\7dtd-binaries\System.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
     <Reference Include="UnityEngine">
       <HintPath>..\7dtd-binaries\UnityEngine.dll</HintPath>
-    </Reference>
-    <Reference Include="EasyAntiCheat.Client">
-      <HintPath>..\7dtd-binaries\EasyAntiCheat.Client.dll</HintPath>
-    </Reference>
-    <Reference Include="EasyAntiCheat.Server">
-      <HintPath>..\7dtd-binaries\EasyAntiCheat.Server.dll</HintPath>
-    </Reference>
-    <Reference Include="Assembly-CSharp-firstpass">
-      <HintPath>..\7dtd-binaries\Assembly-CSharp-firstpass.dll</HintPath>
+      <Private>False</Private>
     </Reference>
     <Reference Include="LogLibrary">
       <HintPath>..\7dtd-binaries\LogLibrary.dll</HintPath>
-    </Reference>
-    <Reference Include="mscorlib">
-      <HintPath>..\7dtd-binaries\mscorlib.dll</HintPath>
-    </Reference>
-    <Reference Include="Assembly-CSharp">
-      <HintPath>..\7dtd-binaries\Assembly-CSharp.dll</HintPath>
+      <Private>False</Private>
     </Reference>
   </ItemGroup>
@@ -61,12 +59,4 @@
     <Compile Include="src\AllocsLogFunctions.cs" />
     <Compile Include="src\PlayerDataStuff.cs" />
-    <Compile Include="src\CommandExtensions.cs" />
-    <Compile Include="src\CommonMappingFunctions.cs" />
-    <Compile Include="src\NetConnections\ConsoleOutputSeparator.cs" />
-    <Compile Include="src\NetConnections\NetTelnetServer.cs" />
-    <Compile Include="src\NetConnections\IServer.cs" />
-    <Compile Include="src\NetConnections\IConnection.cs" />
-    <Compile Include="src\NetConnections\Servers\Telnet\Telnet.cs" />
-    <Compile Include="src\NetConnections\Servers\Telnet\TelnetConnection.cs" />
     <Compile Include="src\PersistentData\PersistentContainer.cs" />
     <Compile Include="src\StateManager.cs" />
@@ -90,18 +80,17 @@
     <Compile Include="src\FileCache\SimpleCache.cs" />
     <Compile Include="src\FileCache\MapTileCache.cs" />
-    <Compile Include="src\Mods.cs" />
-    <Compile Include="src\ModAPI.cs" />
-    <Compile Include="src\Version.cs" />
+    <Compile Include="src\API.cs" />
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <ItemGroup>
     <Folder Include="src\" />
-    <Folder Include="src\CustomCommands\" />
-    <Folder Include="src\NetConnections\" />
-    <Folder Include="src\NetConnections\Servers\" />
-    <Folder Include="src\NetConnections\Servers\Telnet\" />
     <Folder Include="src\PersistentData\" />
     <Folder Include="src\JSON\Parser\" />
     <Folder Include="src\FileCache\" />
   </ItemGroup>
+  <ItemGroup>
+    <None Include="ModInfo.xml">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </None>
+  </ItemGroup>
 </Project>
